<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    style="@style/DialogTheme"
    android:layout_height="match_parent"
    android:layout_margin="@dimen/layout_margin_1"
    app:cardBackgroundColor="@color/verdnatura_black_8"
    app:cardCornerRadius="@dimen/dialog_radius">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:padding="@dimen/layout_margin_1">

        <TextView
            android:id="@+id/custom_dialog_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/layout_margin_1"
            android:textAlignment="center"
            android:textColor="@color/verdnatura_white"
            android:textSize="@dimen/h6"
            android:textStyle="bold"
            android:visibility="gone"
            tools:text="¿Estás seguro de que deseas eliminar el dispositivo de celia?"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/custom_dialog_description"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/layout_margin_1"
            android:textAlignment="center"
            android:textColor="@color/verdnatura_white"
            android:textSize="@dimen/body1"
            android:visibility="gone"
            tools:text="Este cambio no podrá deshacerse a no ser que vuelvas a vincular el dispositivo"
            tools:visibility="gone" />

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/textinputlayout_username"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"

            android:textColorHint="@android:color/darker_gray">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/custom_dialog_value"
                style="@style/DefaultButton.NormalButton"
                android:layout_width="match_parent"
                android:layout_height="80dp"
                android:background="@drawable/background_round"
                android:inputType="textMultiLine"
                android:lines="5"
                android:maxLines="10"
                android:textColor="@color/verdnatura_white"
                android:textColorHint="@android:color/darker_gray"
                android:imeOptions="actionDone"/>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recycler_items"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:clipToPadding="false"
                tools:listitem="@layout/item_general_row" />

        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/textinputlayout_two"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/default_layout_margin"
            android:textColorHint="@android:color/darker_gray"
            android:visibility="gone">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/custom_dialog_value_two"
                style="@style/DefaultButton.NormalButton"
                android:layout_width="match_parent"
                android:background="@drawable/background_round"
                android:inputType="text"
                android:lines="1"
                android:maxLines="1"
                android:textColor="@color/verdnatura_white"
                android:textColorHint="@android:color/darker_gray" />
        </com.google.android.material.textfield.TextInputLayout>

        <Button
            android:id="@+id/custom_dialog_button_ok"
            style="@style/DefaultButton.NormalButton"
            android:layout_width="match_parent"
            android:layout_marginTop="@dimen/layout_margin_1"
            android:visibility="gone"
            tools:text="@string/delete"
            tools:visibility="visible" />

        <Button
            android:id="@+id/custom_dialog_button_ko"
            style="@style/DefaultButton.TransparentButton"
            android:layout_width="match_parent"
            android:layout_marginTop="@dimen/layout_margin_1"
            android:layout_marginBottom="@dimen/layout_margin_1"
            android:visibility="gone"
            tools:text="@string/cancel"
            tools:visibility="visible" />
    </LinearLayout>
</androidx.cardview.widget.CardView>
